Commit dea41dfa authored by fago's avatar fago
Browse files

fix upgrade tests and enable entity.module during install

parent 62047430
......@@ -82,6 +82,7 @@ function update_prepare_d8_bootstrap() {
// Allow the database system to work even if the registry has not been
// created yet.
include_once DRUPAL_ROOT . '/includes/install.inc';
include_once DRUPAL_ROOT . '/modules/entity/entity.controller.inc';
drupal_bootstrap(DRUPAL_BOOTSTRAP_DATABASE);
// If the site has not updated to Drupal 8 yet, check to make sure that it is
......
......@@ -1623,10 +1623,10 @@ function system_update_last_removed() {
*/
/**
* Placeholder update to set the schema version to 8000.
* Enable entity module.
*/
function system_update_8000() {
// Fill in the first update to Drupal 8 when needed.
update_module_enable(array('entity'));
}
/**
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment